#ifndef _TIMER_H_
#define _TIMER_H_


#define TICKPERSECOND   76800
#define TIMEPERSECOND   256


// return elapsed ticks from console reset (1/76800 second based)
u32  getTick();
// return elapsed time from console reset (1/256 second based)
u32  getTime();
// return elapsed time from console reset as fix32 number (in second)
fix32 getTimeAsFix32();

void wait(u32 tick);


#endif // _TIMER_H_
